﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[MODMAS]') AND name = N'XMODMAS1')
BEGIN 
PRINT 'Creating index XMODMAS1 on table MODMAS'
CREATE UNIQUE NONCLUSTERED INDEX [XMODMAS1] ON [dbo].[MODMAS] 
(
	[ALPH] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'MODMAS' AND COLUMN_NAME = 'IOBS' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_MODMAS_IOBS')
BEGIN 
    PRINT 'Creating default constraint DF_MODMAS_IOBS on table MODMAS' 
    ALTER TABLE [dbo].[MODMAS]
    ADD CONSTRAINT [DF_MODMAS_IOBS] DEFAULT ((0)) FOR [IOBS]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'MODMAS' AND COLUMN_NAME = 'IDEL' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_MODMAS_IDEL')
BEGIN 
    PRINT 'Creating default constraint DF_MODMAS_IDEL on table MODMAS' 
    ALTER TABLE [dbo].[MODMAS]
    ADD CONSTRAINT [DF_MODMAS_IDEL] DEFAULT ((0)) FOR [IDEL]
END 
GO

